<template>
	<div class="container mx-auto" id="app">
		<app-header></app-header>
		<keep-alive>
			<component :is="currentStepData.component"></component>
		</keep-alive>
		<div class="flex justify-end mt-5 animate__animated animate__fadeInRight" v-if="canNext">
			<a href="#" class="py-3 px-10 inline-block bg-blue-gradient text-white" @click.prevent="nextStep">Next</a>
		</div>
	</div>
</template>

<script>
import AppHeader from "./components/AppHeader";
import {mapActions, mapGetters} from "vuex";

export default {
	name: "App",
	computed: {
		...mapGetters([
			'currentStepData',
			'canNext'
		])
	},
	methods: {
		...mapActions([
			'nextStep'
		])
	},
	components: {
		AppHeader,
	}
}
</script>

<style scoped>

</style>